---
- name: Gather package facts
  package_facts:
    manager: auto

- name: Update apt cache
  apt:
    update_cache: yes
    cache_valid_time: 3600

- name: Create temporary directory
  tempfile:
      state: directory
      suffix: vscode
  register: vscode_tempdir

- name: Register vscode url
  script: scripts/vscodedownload.py url
  register: vscode_url
  args:
    executable: python3

- name: Register vscode sha256
  script: scripts/vscodedownload.py sha256
  register: vscode_sha256
  args:
    executable: python3

# Could add check agains version or sha256 of installed deb

- name: Download vscode .deb
  get_url:
    url: "{{ vscode_url.stdout }}"
    dest: "{{ vscode_tempdir.path }}/vscode.deb"
    checksum: "sha256:{{ vscode_sha256.stdout }}"
  when: "not 'code' in ansible_facts.packages"

- name: Install vscode .deb
  apt:
    deb: "{{ vscode_tempdir.path }}/vscode.deb"
  when: "not 'code' in ansible_facts.packages"
